services:
  Telnowedge\DidBundle\Manager\ModuleManager:
    arguments:
      $dispatcher: '@event_dispatcher'
    calls:
      - method: setFreePbxContainer
        arguments:
          $container: '@freepbx_container'
      - method: setCacheManager
        arguments:
          - '@Telnowedge\BaseBundle\Manager\FilesystemCacheManager'

  Telnowedge\DidBundle\Form\DidType:
    calls:
      - method: setContainer
        arguments:
          - '@service_container'
    tags:
      - "form.type"

  Telnowedge\DidBundle\Handler\ProxyHandler\DidProxyHandler:
    calls:
      - method: setContainer
        arguments:
          - '@service_container'

  Telnowedge\DidBundle\EventSubscriber\CallFlowSubscriber:
    calls:
      - method: setFreePbxContainer
        arguments:
          - '@freepbx_container'
      - method: setFreePbxManager
        arguments:
          - '@freepbx_manager'
    tags:
      - "kernel.event_subscriber"
